std::binder1st< _Operation >(3cxx)

NAME
std::binder1st< _Operation > - One of the binder functors.

SYNOPSIS

Inherits std::unary_function< _Operation::second_argument_type, _Operation::result_type >.

  Public Types

typedef _Operation::second_argument_type argument_type
argument_type is the type of the argument
typedef _Operation::result_type result_type
result_type is the return type

  Public Member Functions

binder1st (const _Operation &__x, const typename _Operation::first_argument_type &__y)
_Operation::result_type operator() (const typename _Operation::second_argument_type &__x) const
_Operation::result_type operator() (typename _Operation::second_argument_type &__x) const

  Protected Attributes

_Operation op
_Operation::first_argument_type value

Detailed Description

  template<typename _Operation>
class std::binder1st< _Operation >" One of the binder functors.

Member Typedef Documentation

  typedef _Operation::second_argument_type std::unary_function< _Operation::second_argument_type , _Operation::result_type >::argument_type [inherited]

argument_type is the type of the argument

  typedef _Operation::result_type std::unary_function< _Operation::second_argument_type , _Operation::result_type >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.